::visit Rootjunky.com

::Set our Window Title
@title Moto G 4th gen logo.bin

::Set our default parameters
@echo off
cls
color 0b
adb.exe kill-server
adb.exe start-server
echo.--------------------------------------------------------------------------------
echo [*] WARNING BOOTLOADER UNLOCK IS REQUIRED FOR THIS TO WORK. 
echo [*] This will flash the stock logo.bin to your Moto G 4th gen XT1625
echo [*] make sure usb debugging it turned on and connect your device to computer
echo.--------------------------------------------------------------------------------
pause
echo rebooting to bootloader now
adb reboot bootloader
timeout 10
echo flashing stock logo
fastboot flash logo logo.bin
pause 
fastboot reboot
adb.exe kill-server
exit